# Google Maps Engine API . rasterCollections . rasters

## Instance Methods

Remove rasters from an existing raster collection.

Add rasters to an existing raster collection. Rasters must be successfully processed in order to be added to a raster collection.

Return all rasters within a raster collection.

Retrieves the next page of results.

### Method Details

`batchDelete(id, body)`

    Remove rasters from an existing raster collection.

    Up to 50 rasters can be included in a single batchDelete request. Each batchDelete request is atomic.

    Args:
      id: string, The ID of the raster collection to which these rasters belong. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # The request sent to rasterCollections.Rasters.BatchDelete.
        "ids": [ # An array of Raster asset IDs to be removed from this RasterCollection.
          "A String",
        ],
      }

    Returns:
      An object of the form:

        { # The response returned by a call to rasterCollections.rasters.batchDelete.
      }

`batchInsert(id, body)`

    Add rasters to an existing raster collection. Rasters must be successfully processed in order to be added to a raster collection.

    Up to 50 rasters can be included in a single batchInsert request. Each batchInsert request is atomic.

    Args:
      id: string, The ID of the raster collection to which these rasters belong. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # The request sent to rasterCollections.Rasters.BatchInsert.
        "ids": [ # An array of Raster asset IDs to be added to this RasterCollection.
          "A String",
        ],
      }

    Returns:
      An object of the form:

        { # The response returned by a call to rasterCollections.rasters.batchInsert.
      }

`list(id, modifiedBefore=None, creatorEmail=None, pageToken=None, role=None, createdAfter=None, tags=None, maxResults=None, bbox=None, modifiedAfter=None, search=None, createdBefore=None)`

    Return all rasters within a raster collection.

    Args:
      id: string, The ID of the raster collection to which these rasters belong. (required)
      modifiedBefore: string, An RFC 3339 formatted date-time value (e.g. 1970-01-01T00:00:00Z). Returned assets will have been modified at or before this time.
      creatorEmail: string, An email address representing a user. Returned assets that have been created by the user associated with the provided email address.
      pageToken: string, The continuation token, used to page through large result sets. To get the next page of results, set this parameter to the value of nextPageToken from the previous response.
      role: string, The role parameter indicates that the response should only contain assets where the current user has the specified level of access.
        Allowed values
          owner - The user can read, write and administer the asset.
          reader - The user can read the asset.
          writer - The user can read and write the asset.
      createdAfter: string, An RFC 3339 formatted date-time value (e.g. 1970-01-01T00:00:00Z). Returned assets will have been created at or after this time.
      tags: string, A comma separated list of tags. Returned assets will contain all the tags from the list.
      maxResults: integer, The maximum number of items to include in a single response page. The maximum supported value is 100.
      bbox: string, A bounding box, expressed as "west,south,east,north". If set, only assets which intersect this bounding box will be returned.
      modifiedAfter: string, An RFC 3339 formatted date-time value (e.g. 1970-01-01T00:00:00Z). Returned assets will have been modified at or after this time.
      search: string, An unstructured search string used to filter the set of results based on asset metadata.
      createdBefore: string, An RFC 3339 formatted date-time value (e.g. 1970-01-01T00:00:00Z). Returned assets will have been created at or before this time.

    Returns:
      An object of the form:

        { # The response returned by a call to rasterCollections.rasters.List.
        "nextPageToken": "A String", # Next page token.
        "rasters": [ # Resources returned.
          { # A raster resource.
            "name": "A String", # The name of this Raster, supplied by the author.
            "tags": [ # Tags of this Raster.
              "A String",
            ],
            "rasterType": "image", # The type of this Raster. Always "image" today.
            "projectId": "A String", # The ID of the project that this Raster is in.
            "creationTime": "A String", # The creation time of this raster. The value is an RFC 3339 formatted date-time value (e.g. 1970-01-01T00:00:00Z).
            "bbox": [ # A rectangular bounding box which contains all of the data in this Raster. The box is expressed as \"west, south, east, north\". The numbers represent latitudes and longitudes in decimal degrees.
              3.14,
            ],
            "lastModifiedTime": "A String", # The last modified time of this raster. The value is an RFC 3339 formatted date-time value (e.g. 1970-01-01T00:00:00Z).
            "id": "A String", # A globally unique ID, used to refer to this Raster.
            "description": "A String", # The description of this Raster, supplied by the author.
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.